/*
 * File: MidpointFindingKarel1b.java
 * -------------------------------
 * Leaves a beeper on the corner closest to the center 
 * of 1st Street.
 */

import stanford.karel.*;

public class MidpointFindingKarel1b extends SuperKarel {
	
	public void run() {
		findMidpoint();
		putBeeper();
	}
	
	/*
	 * Recursively finds the midpoint: 
	 * Karel is facing right.
	 * If there is free space to the right, then
	 *      advance two steps right if possible, otherwise one,
	 *      call this routine recursively,
	 *      turn around and retreat one step left,
	 *      turn around again, leaving Karel facing right 
	 */
	private void findMidpoint() {
       // Fill this in
	}
}
